petsc-3.7.1 2016-05-15
Report Typos and Errors

# PetscSegBufferExtractInPlace

extract in-place contiguous representation of data and reset segmented buffer for reuse

### Synopsis

    PetscErrorCode PetscSegBufferExtractInPlace(PetscSegBuffer seg,void *contig)

Not Collective Many br

### Input Arguments

seg -segmented buffer object Many br

### Output Arguments

contig -address of pointer to contiguous memory Many br

Many br

### See Also

PetscSegBufferExtractAlloc(), PetscSegBufferExtractTo()

Level:developer
Location:src/sys/utils/segbuffer.c
Index of all Sys routines
Table of Contents for all manual pages
Index of all manual pages